summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2012-10-13 09:49:27 +0100
committerLars Wirzenius <liw@liw.fi>2012-10-13 09:49:27 +0100
commit06f1202a9414d3d47d68b6072182aa3d6df08dec (patch)
treee90eba8f42d890c131fe95473a845acd17bcfbf5
parent0eabd317ff63e96cf71791ba77a943d1c377691a (diff)
downloadcachedir-06f1202a9414d3d47d68b6072182aa3d6df08dec.tar.gz
Add black box tests
-rwxr-xr-xtests/find.script22
-rwxr-xr-xtests/tag.script21
-rwxr-xr-xtests/untag.script21
3 files changed, 64 insertions, 0 deletions
diff --git a/tests/find.script b/tests/find.script
new file mode 100755
index 0000000..b37949d
--- /dev/null
+++ b/tests/find.script
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Copyright 2012 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+mkdir -p "$DATADIR/foo/bar/cache"
+"$SRCDIR/cachedir" tag "$DATADIR/foo/bar/cache"
+"$SRCDIR/cachedir" find "$DATADIR"
+
diff --git a/tests/tag.script b/tests/tag.script
new file mode 100755
index 0000000..c07f24d
--- /dev/null
+++ b/tests/tag.script
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Copyright 2012 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+"$SRCDIR/cachedir" tag "$DATADIR"
+cat "$DATADIR/CACHEDIR.TAG"
+
diff --git a/tests/untag.script b/tests/untag.script
new file mode 100755
index 0000000..3334b54
--- /dev/null
+++ b/tests/untag.script
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Copyright 2012 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+"$SRCDIR/cachedir" tag "$DATADIR"
+"$SRCDIR/cachedir" untag "$DATADIR"
+! [ -e "$DATADIR/CACHEDIR.TAG" ]